#
# spec file for package sblim-cmpi-nfsv4 (Version 1.0.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cim-schema coreutils cpio cpp cracklib curl cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libidn libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl openssl-devel openwbem openwbem-devel pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sblim-cmpi-base sblim-cmpi-base-devel sblim-indication_helper sblim-indication_helper-devel sblim-testsuite sblim-wbemcli sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sblim-cmpi-nfsv4
BuildRequires:  gcc-c++ openslp-devel openssl-devel pam-devel sblim-cmpi-base-devel sblim-indication_helper-devel sblim-testsuite
URL:            http://www-124.ibm.com/sblim/
Summary:        SBLIM CMPI NFSv4 Instrumentation
Version:        1.0.11
Release:        10.2
Group:          System/Management
License:        IBM Public License
Requires:       sblim-cmpi-base >= 1.2.3
Source0:        http://prdownloads.sourceforge.net/sblim/sblim-cmpi-nfsv4-%{version}.tar.bz2
Patch3:         sblim-cmpi-nfsv4-1.0.11_syntax.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         /usr/bin/loadmof.sh, /usr/bin/rmmof.sh

%description
Standards Based Linux NFSv4 Instrumentation Providers



Authors:
--------
    SBLIM Project

%debug_package
%prep
%setup
%patch3

%build
%configure
%{__make}

%install

%makeinstall docdir=%{_docdir}/%{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
# compile MOF
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_NFSv4SystemSetting.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_NFSv4SystemConfiguration.mof

%preun
if [ "$1" = "0" ]; then
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_NFSv4SystemSetting.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_NFSv4SystemConfiguration.mof
fi

%files
%defattr(-,root,root) 
%doc %{_docdir}/%{name}
# skip-check-libtool-deps
%{_libdir}/cmpi/libLinux_NFSv4SettingContext.a
%{_libdir}/cmpi/libLinux_NFSv4SettingContext.la
%{_libdir}/cmpi/libLinux_NFSv4SettingContext.so
%{_libdir}/cmpi/libLinux_NFSv4SystemConfiguration.a
%{_libdir}/cmpi/libLinux_NFSv4SystemConfiguration.la
%{_libdir}/cmpi/libLinux_NFSv4SystemConfiguration.so
%{_libdir}/cmpi/libLinux_NFSv4SystemSetting.a
%{_libdir}/cmpi/libLinux_NFSv4SystemSetting.la
%{_libdir}/cmpi/libLinux_NFSv4SystemSetting.so
%{_libdir}/libLinux_NFSv4SystemConfigurationUtil.a
%{_libdir}/libLinux_NFSv4SystemConfigurationUtil.la
%{_libdir}/libLinux_NFSv4SystemConfigurationUtil.so
%{_datadir}/%{name}
%{_datadir}/sblim-testsuite/*

%changelog -n sblim-cmpi-nfsv4
* Wed Mar 01 2006 - mrueckert@suse.de
- update to 1.0.11 [#144214]
- dropped all patches as the build system changed
- added sblim-cmpi-nfsv4-1.0.11_syntax.patch
  fixes a few compiler warnings in the lex/yacc generated code
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 09 2005 - mrueckert@suse.de
- upgrade to 1.0.10
- build with openwbem
- fix some syntax errors
* Wed Apr 27 2005 - ro@suse.de
- build with gcc4
* Thu Nov 11 2004 - ro@suse.de
- fixed file list
* Sun May 16 2004 - nashif@suse.de
- #40661: SBLIM cmpi-nfsv3/4 reports error on empty
  /etc/exports file
- V. 1.0.8
* Thu May 13 2004 - nashif@suse.de
- #39756: cmpinfsv3 provider does not return associations for
  Linux_NFSv3SystemConfiguration class
- Do not De-register when updating package
* Mon May 10 2004 - nashif@suse.de
- Dereigster providers when uninstalling (#39667)
- test scripts incorrectly check file read/write permission (#40262)
* Mon May 10 2004 - nashif@suse.de
- Bug #39754:  wbemri & wbemrin fail to parse query results
  from Pegasus cimom
* Fri May 07 2004 - nashif@suse.de
- Bug #39750: NFS providers not returning object path when
  creating new instance
* Fri Apr 30 2004 - nashif@suse.de
- Update to version 1.0.2
* Fri Apr 16 2004 - nashif@suse.de
- Update version with bugfixes from IBM
* Wed Apr 14 2004 - nashif@suse.de
- Added PreReq for loadmof.sh
* Wed Apr 07 2004 - nashif@suse.de
- Initial Release
